package com.sun.xml.internal.bind.v2.schemagen.xmlschema;

import com.sun.xml.internal.txw2.annotation.XmlAttribute;
import com.sun.xml.internal.txw2.annotation.XmlElement;
import com.sun.xml.internal.txw2.TypedXmlWriter;

@XmlElement("schema")
public interface Schema extends SchemaTop, TypedXmlWriter
{
    @XmlElement
    public abstract Annotation annotation();
    
    @XmlElement("import")
    public abstract Import _import();
    
    @XmlAttribute
    public abstract Schema targetNamespace(String p0);
    
    @XmlAttribute(ns = "http://www.w3.org/XML/1998/namespace")
    public abstract Schema lang(String p0);
    
    @XmlAttribute
    public abstract Schema id(String p0);
    
    @XmlAttribute
    public abstract Schema elementFormDefault(String p0);
    
    @XmlAttribute
    public abstract Schema attributeFormDefault(String p0);
    
    @XmlAttribute
    public abstract Schema blockDefault(String[] p0);
    
    @XmlAttribute
    public abstract Schema blockDefault(String p0);
    
    @XmlAttribute
    public abstract Schema finalDefault(String[] p0);
    
    @XmlAttribute
    public abstract Schema finalDefault(String p0);
    
    @XmlAttribute
    public abstract Schema version(String p0);
}
